<odoo>

<!-- on affiche pas les informations de tickets comme le prix ou gratuit -->
<!-- <template id="booking.event_sale_registration_template" inherit_id="website_event_sale.registration_template">
<xpath expr="//div[@class='px-2 text-dark mr-2 border-right d-flex align-items-center align-self-stretch']" position="replace">
</xpath>
</template> -->


<template id="event_registration_template" inherit_id="website_event.registration_template">

<xpath expr="//div[@class='col-lg-4 pt-3 pt-lg-0 pl-2 pl-lg-0']" position="replace">
<t t-if="event.booking_event">
<div class="col-lg-4 pt-3 pt-lg-0 pl-2 pl-lg-0">
<a t-attf-id="#{event.id}" t-attf-href="/booking/registration/options?event_id={{event.id}}" class="btn btn-primary btn-block" data-original-title="" title="" aria-describedby="tooltip34075">Register</a>
</div>
</t>

<t t-if="not event.booking_event">
<div class="col-lg-4 pt-3 pt-lg-0 pl-2 pl-lg-0">
<a t-attf-id="#{event.id}" t-attf-href="/event/registration/step1?event_id={{event.id}}" class="btn btn-primary btn-block" data-original-title="" title="" aria-describedby="tooltip34075">Register</a>
</div>
    <t t-if="event.seats_limited and event.seats_max and event.seats_available &lt;= (event.seats_max * 0.2)">
                                    (only <t t-esc="event.seats_available"/> available)
                                </t>
</t>
</xpath>
<!-- on bloque la qte à 1 -->
<xpath expr="//select[@class='w-auto custom-select']" position="replace">
<select t-att-name="'nb_register-%s' % (tickets.id if tickets else 0)" class="w-auto custom-select">
                                    <t t-set="seats_max_ticket" t-value="(not tickets or not tickets.seats_limited or tickets.seats_available &gt; 9) and 10 or tickets.seats_available + 1"/>
                                    <t t-set="seats_max_event" t-value="(not event.seats_limited or event.seats_available &gt; 9) and 10 or event.seats_available + 1"/>
                                    <t t-set="seats_max" t-value="min(seats_max_ticket, seats_max_event) if tickets else seats_max_event"/>
                                    
                                        <option t-esc="1"/>
                                    
                                </select>
</xpath>

</template>


<template id="booking.event_description_full" inherit_id="website_event.event_description_full">
<xpath expr="//div[@class='o_wevent_sidebar_block'][1]" position="before">
<t t-if="event.booking_event">
<div class="o_wevent_sidebar_block">
    <h6 class="o_wevent_sidebar_title">Participation</h6>
    
    <h7 t-esc="'Non adhérent : '+str(int(event.booking_price))+' €'"/>
    <br/>
    <h7 t-esc="'Adhérent et autres : '+str(int(event.booking_member_price))+' €'"/>
    <br/>
    <h7 t-esc="'Soutien et Sangha : '+str(int(event.booking_super_member_price))+' €'"/>
    
    
</div>
</t>
</xpath>

</template>

</odoo>